First paragraph after a template transclusion is getting about-grouped
Closed, ResolvedPublic

Description

Author: winne2i

Description:
hovered and edited transclusion

Visible in attachment, while hovering the template [1], when selected [2] and while editing the template [3,4] (there are many more parts named "Content" with further parts of text, splitted where other templates – {{odn}}, {{R}} (both for references) – are inserted).


Version: unspecified
Severity: normal
URL: http://parsoid.wmflabs.org/plwiki/Z%C4%85b_%C4%87wiekowy?oldid=36621127

Attached:

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 1:47 AM
bzimport set Reference to bz49955.
bzimport created this task.Via LegacyJun 21 2013, 12:29 PM
bzimport added a comment.Via ConduitJun 21 2013, 12:38 PM

winne2i wrote:

Appears not to be a problem when there's a [[File:…]] between template and paragraph.

Jdforrester-WMF added a comment.Via ConduitJun 21 2013, 2:49 PM

Hmm. Parsoid's marking the following paragraph as generated. To investigate.

Arlolra placed this task up for grabs.Via WebNov 25 2014, 8:08 PM
Arlolra set Security to None.
ssastry added a comment.Via WebDec 17 2014, 11:02 PM

Here is the processed output of that opening template.

=================================
Szablon:Propozycja
---------------------------------
<table style="" class="metadata plainlinks ambox ambox-notice">
<tr>
<td class="ambox-image">
<div style="width:52px;">[[Plik:Information icon.svg|35px|link=||alt=]]</div></td>
<td class="ambox-text"><center>Artykuł ten został zgłoszony jako kandydat do [[Wikipedia:Artykuły na medal|medalu]].<br>Weź udział w [[Wikipedia:Propozycje do Artykułów na medal/Main Page|dyskusji na ten temat]].</center></td>

</tr></table>
<span style="clear:both;height:0px;line-height:0px;display:block">&nbsp;</span>
[[Kategoria:Propozycje do Artykułów na medal]]

So, the presence of the span with a &nbsp; forces that span to be wrapped in a paragraph. However, since the wiki page does not have a newline after the transclusion and the following content, the paragraph now contains part content from the template and part content from the top-level page. This then forces Parsoid to hoist the entire paragraph into the wrapping.

Two possible ways to fix this:

However, I now see that the current revision of the page uses a different template that doesn't have this problem.

I am not sure there is anything to be done on the Parsoid end here.

ssastry closed this task as "Resolved".Via WebFeb 3 2015, 6:32 PM
ssastry claimed this task.

As noted in the previous comment, there is nothing to be done on the Parsoid end as far as I can tell. Please reopen with more info if there is a fix needed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.